## iptotal 0.3.3

=== debian/changelog ===
iptotal (0.3.3-13.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upgrade apache2 settings for version 2.4 (Closes: #669856)
    - Now using dh-apache2.
    - Enabling cgi during configuration.
    - Refreshed apache configuration syntax.
    - Added maintscript to move conffile to /etc/apache2/conf-available.
    - Refreshed README.debian.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Sun, 29 May 2016 14:43:41 +0200

iptotal (0.3.3-13) unstable; urgency=low

  * debian/control:
    - Bumped Standards-Version to 3.9.2.
    - Added the "DM-Upload-Allowed" field.
  * debian/patches:
    - 08_datalink_offset.diff: fixes iptotal not reporting traffic on PPP
      insterfaces. (Closes: #230649)
  * debian/init:
    - Added the Description LSB section.
    - Added the status option.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Thu, 16 Feb 2012 08:49:19 +0400

iptotal (0.3.3-12) unstable; urgency=low

  * debian/control:
    - Bumped Standards-Version to 3.8.4.
    - Added dependency on ${misc:Depends}.
    - Set dependency on debhelper to (>= 7.0.50~) in order to use dh7 features.
    - Set dependency on autotools-dev to (>=20100122.1) to enable the use of
      the dh7 addons.
    - Removed dependency on quilt (as source format is now "3.0 (quilt)")
  * debian/rules:
    - Updated the rules file to use the dh7 features.
  * debian/postinst:
    - Removed the reload of apache2, as iptotal depends on httpd and not
      apache2. (Closes: #572246)
  * debian/postrm:
    - Removed the reload of apache2.
  * debian/links:
    - Removed the linking of /etc/apache2/conf.d/iptotal.
  * debian/patches:
    - 07_cgi_filename.diff: fixes incorrect filenames for graph images.
      (Closes: #574121)
  * debian/README.debian:
    - Explains the different directory changes that occurred over the last
      releases of iptotal.
    - Shows how to configure iptotal with apache2.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Wed, 31 Mar 2010 00:57:48 +0200

iptotal (0.3.3-11) unstable; urgency=low

  * debian/rules:
    - Updated --data-dir from /usr/lib to /var/lib (Closes: #557972)
  * debian/dirs, debian/install, debian/links, debian/apache.conf:
    - Replaced usr/lib by var/lib.
  * debian/postinst:
    - Replaced /usr/lib by /var/lib.
    - As installation path has changed in this release, added a temporary
      copying of old files to the new working directory, and deletion of
      files from old directories, to prevent data history loss.
  * Removed debian/lintian-overrides file as it isn't needed anymore.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Wed, 25 Nov 2009 18:03:58 +0100

iptotal (0.3.3-10) unstable; urgency=low

  * Converted to "3.0 (quilt)" format.
  * debian/rules:
    - Removed the include of dpatch.make.
    - Removed dh_testroot from the clean section.
  * debian/patches:
    - Converted all patches from dpatch(1) to quilt(1) format.
    - 06_FTBFS_kFreeBSD.diff: Fixes the FTBFS on GNU/kFreeBSD. Thanks to 
      Cyril Brulebois <kibi@debian.org> for providing the patch.
      (Closes: #557165)
  * debian/control:
    - Removed dependecy on dpatch.
    - Added a dependency on quilt.
  * debian/source/format:
    - New file set to "3.0 (quilt)".

 -- Ignace Mouzannar <mouzannar@gmail.com>  Fri, 20 Nov 2009 15:09:43 +0100

iptotal (0.3.3-9) unstable; urgency=low

  * New maintainer. (Closes: #473843)
  * debian/rules:
    - Moved the copying of /usr/share/misc/config.{sub,guess} from the clean
      section to the configure section. And added functions to backup/restore
      the config{sud,guess} files provided by upstream.
    - Changed the data directory from /var/www/iptotal to 
      /usr/lib/iptotal/ (user content) and /usr/share/iptotal/www (static).
      (Closes: #553536)
    - Moved configuration file from /etc/ to /etc/iptotal/ directory.
    - Added dh_lintian in the binary-arch section to install the override file.
  * debian/control:
    - Added build dependency on autotools-dev.
  * debian/patches:
    - Added 05_fix_old_fixes.dpatch: Includes all changes made by original
      maintainer outside the debian/ directory.
    - Updated the 00list placing 05_fix_old_fixes.dpatch before 
      04_fix_kbytes_sufixes.dpatch.
  * debian/init:
    - Renamed debian/init.d to debian/init.
    - Added a short description.
    - Forced deletion of the pid file as daemon does not take care of this.
    - Added support for /etc/default/iptotal
    - Added force-start option, to start the daemon, ignoring the content of 
      the /etc/default/iptotal file.
  * debian/postinst:
    - Reloads apache2 configuration.
    - As installation path has changed in this release, added a temporary
      copying of old files to the new working directory, to prevent data
      history loss.
  * debian/copyright:
    - Updated copyright file format.
  * Added apache configuration file (i.e. debian/apache.conf).
  * Added debian/dirs to create both cgi and working directories.
  * Added debian/links to link the static content to the working directory
    (i.e. /usr/lib/iptotal).
  * Added debian/install file in order to clean up the debian/rules file.
  * Added debian/postrm file to reload apache2 configuration after purging
    or removing the iptotal package.
  * Added debian/default file, in order to easily disable iptotald.
    (Closes: #317260)
  * Moved iptotal.8 man page to the debian/ directory as it isn't provided
    by upstream.
  * Added a lintian override of package-contains-empty-directory, as the
    /usr/lib/iptotal/archive/ directory is intentionally created empty during
    the initial installation.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Sun, 15 Nov 2009 21:11:05 +0100

iptotal (0.3.3-8) unstable; urgency=medium

  * QA upload.
  * Added patch system (dpatch)
  * debian/patches: 01_fix_ownership.dpatch
  * debian/patches: 02_fix_for_arm_systems.dpatch (Closes: #459128) 
  * debian/patches: 03_manpage_fixes.dpatch (Closes: #379785) 

