=== debian/control ===
Source: iptotal
Section: admin
Priority: extra
Maintainer: Ignace Mouzannar <mouzannar@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: autotools-dev (>=20100122.1),
               debhelper (>= 7.0.50~),
               dh-apache2,
               libpcap-dev,
               rrdtool
Standards-Version: 3.9.2
Homepage: http://sourceforge.net/projects/iptotal

Package: iptotal
Architecture: any
Depends: rrdtool, tcpdump, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${misc:Recommends}
Description: monitor for IP traffic, not requiring SNMP
 iptotal is yet another IP traffic monitor. It listens to a network interface in
 non-promiscuous mode, and measures IP bandwidth usage. After the specified
 number of seconds, the average throughput is printed at total, input and output
 usage.
 .
 The utility can be used to measure bandwidth usage without the need for an SNMP
 daemon.  In combination with a simple script and rrdtool it can be used to
 present the measured data in graphical format e.g. through a web interface.
 The package contains www + CGI sample files.
