=== debian/watch ===
version=3
http://sf.net/iptotal/iptotal-(.+)\.tar\.gz
